<bugID>386041<Summary>restored windows are all on one monitor</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a6pre) Gecko/20070626 Minefield/3.0a6pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a6pre) Gecko/20070626 Minefield/3.0a6pre

did't test a lot with non-maximized windows, but seems to happen then too.
looks like firefox is using the position of either the first or the last window open to restore to, no matter how many windows were open and where

Reproducible: Always

Steps to Reproduce:
1. use two monitors + extended desktop
2. open firefox windows on both monitors fullscreen
3. get it to restore a session (f. ex. logging off without closing firefox)
Actual Results:  
all firefox windows are restored on one monitor

Expected Results:  
the firefox windows are restored to the places they where bevore</Description></bugID>